package com.slodon.b2b2c.vo.cms;


import com.slodon.b2b2c.cms.pojo.ArticleCategory;
import com.slodon.b2b2c.seller.pojo.StoreCmsArticleCategory;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 *
 * 封装文章分类VO对象
 * @author lxk
 */
@Data
public class HelpArticleCategoryVO {

    @ApiModelProperty("分类id")
    private Integer categoryId;

    @ApiModelProperty("分类名称")
    private String categoryName;

    @ApiModelProperty("排序：序号越小，越靠前")
    private Integer sort;

    @ApiModelProperty("是否显示：0、不显示；1、显示")
    private Integer isShow;

    @ApiModelProperty("创建人id")
    private Integer createId;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("修改时间")
    private Date updateTime;

    public HelpArticleCategoryVO(StoreCmsArticleCategory storeCmsArticleCategory) {
        categoryId = storeCmsArticleCategory.getCategoryId();
        categoryName = storeCmsArticleCategory.getCategoryName();
        sort = storeCmsArticleCategory.getSort();
        isShow = storeCmsArticleCategory.getIsShow();
        createId = storeCmsArticleCategory.getCreateId();
        createTime = storeCmsArticleCategory.getCreateTime();
        updateTime = storeCmsArticleCategory.getUpdateTime();
    }
}
